DH_INSTALLDIRS(1)

NAME
dh_installdirs - erstellt Unterverzeichnisse in den Paketbauverzeichnissen

ÜBERSICHT
dh_installdirs [Debhelper-Optionen] [-A] [--sourcedir=Verz] [--create-in-sourcedir] [Verz …]

BESCHREIBUNG
dh_installdirs ist ein Debhelper-Programm, das für das Erstellen von Unterverzeichnissen in den Paketbauverzeichnisse zuständig ist.

Viele Pakete kommen um den Aufruf von dh_installdirs komplett herum. Insbesondere ist von anderen dh_*-Befehlen zu erwarten, dass sie Verzeichnisse bei Bedarf selbst erstellen.

DATEIEN

debian/Paket.dirs
    Listet Verzeichnisse auf, die in Paket erstellt werden.

    Meist ist es nicht erforderlich, Verzeichnisse aufzuführen, die vom Bausystem der Ursprungsautoren erstellt worden sind oder die von anderen Debhelper-Befehlen benötigt werden.

    unterstützt Ersetzungsvariablen in Kompatibilitätsstufe 13 oder neuer, wie in debhelper(7) beschrieben.

OPTIONEN

-A, --all
    erstellt jegliche Verzeichnisse, die durch Befehlszeilenparameter angegeben wurden, in ALLEN Paketen, auf die es sich auswirkt, nicht nur im ersten.

--create-in-sourcedir, --no-create-in-sourcedir
    Werden die angegebenen Verzeichnisse im Quellverzeichnis (üblicherweise debian/tmp) zusätzlich zum Paketbauverzeichnis (üblicherweise debian/Paket) erzeugt?

    Die Voreinstellung ist --no-create-in-sourcedir.

--sourcedir=Verz
    Verz soll anstatt der Vorgabe (normalerweise debian/tmp) als Quellverzeichnis, auf dem gearbeitet wird, betrachtet werden.

    Bitte beachten Sie, dass diese Option von der Option --create-in-sourcedir abhängt (wenn --no-create-in-sourcedir in Kraft ist, tut diese Option in dh_installdirs nichts).

Verz …
    erstellt diese Verzeichnisse im Paketbauverzeichnis des ersten Pakets, auf die es sich auswirkt (oder in allen Paketen, falls -A angegeben wurde).

SIEHE AUCH
debhelper(7)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOR
Joey Hess <joeyh@debian.org>